/**
 * PMLib - PMLEventHandler example
 *
 * This example demonstrates the PMLEventHandler object. Sequencer
 * events are routed to the setBackgroundColour method via the
 * event handler.
 */

import pmlib.*;

private PMLEventHandler handler;
private PMLSequencer sequencer;
private color colour;

void setup(){
  size(400, 400);
  background(0);

  // Create the event handler and add a method with the /colour tag  
  handler = new PMLEventHandler();
  handler.add("/colour", this, "setBackgroundColour", new char[] { 'i', 'i', 'i' });

  // Create the sequener and load a sequence
  sequencer = new PMLSequencer();
  sequencer.setVerbose(true);  
  sequencer.read(sketchPath("example.seq"));
  sequencer.play();
  
  // Initialise the colour variable    
  colour = color(0);
}

void draw(){
  // Gather sequencer events and route them throught the event handler
  PMLEvent[] events = sequencer.frame();
  handler.route(events);
  
  // Set the backround colour
  background(colour);
  
}

// Define a method to which sequencer events will be routed
public void setBackgroundColour(int r, int g, int b){
  colour = color(r, g, b);
}
