// PMLib Many-to-one example

import pmlib.*;

PMLMatrix matrix;

void setup(){
  size(400, 400);
  background(0);
  
  // Create the matrix and assign input channels
  matrix = new PMLMatrix();
  matrix.addInput("/in1", 0.0f, 127.0f);
  matrix.addInput("/in2", -1.0f, 1.0f);
  matrix.addInput("/in3", 1.0f, 0.0f);

  // Assign a single output channel to each input
  String[] tags = {"/in1", "/in2", "/in3"};
  matrix.addOutput(tags, "/out", 0.0f, 1.0f); 
 
  // Send some test values to input 1 and print the result
  println("---------- INPUT 1 ----------");
  for(float i = 0.0f; i <= 127.0f; i += 10.0f){
    matrix.route("/in1", i);
    println(matrix.get("/out"));
  }
  
  // Send some test values to input 2 and print the result
  println("---------- INPUT 2 ----------");
  for(float i = -1.0f; i <= 1.0f; i += 0.1){
    matrix.route("/in2", i);
    println(matrix.get("/out"));
  }
  
  // Send some test values to input 3 and print the result
  println("---------- INPUT 3 ----------");
  for(float i = 1.0f; i >= 0.0f; i -= 0.1){
    matrix.route("/in3", (float) i);
    println(matrix.get("/out"));
  }
}
