package pslib;
/**
 * MotionBehaviour Class
 * <p>The MotionBehaviour object implements the PSBehaviour interface to apply
 * the particle velocity to the particle position on each call to update().
 * <p>This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * <p>This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * <p>You should have received a copy of the GNU Lesser General Public License
 * along with this library. If not, see http://www.gnu.org/licenses/.
 * @author Stephen Callear
 */
public class MotionBehaviour extends Object implements PSBehaviour{
    /**
     * Update the specified particle
     * <p>The update process preserves the particle position vector reference
     * and re-applies the vector to ensure compatibility with BufferedParticle
     * objects
     * @param p particle
     */
    public void update(DynamicParticle p){
        p.getPosition().add(p.getVelocity());
        p.setPosition(p.getPosition());
    }
}
