package pslib;
/**
 * PSBehaviour Interface
 * <p>The PSBehaviour interface may be implemented by a custom class to allow
 * its use within the behavioural update loop of the GenericParticle class and
 * its sub-classes.
 * <p>Implementing classes may be used to facilitate per-frame modifications to
 * parameters of a DynamicParticle object.
 * <p>This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * <p>This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * <p>You should have received a copy of the GNU Lesser General Public License
 * along with this library. If not, see http://www.gnu.org/licenses/.
 * @author Stephen Callear
 */
public interface PSBehaviour {
    /**
     * Apply the behaviour to the specified particle
     * @param p particle
     */
    public void update(DynamicParticle p);
}
