package pslib;
/**
 * ParticleListener Interface
 * <p>The ParticleListener interface allows implementing classes to receive
 * particle events, allowing particle data to be shared amongst classes regardless
 * of how it is generated.
 * <p>This library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * <p>This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * <p>You should have received a copy of the GNU Lesser General Public License
 * along with this library. If not, see http://www.gnu.org/licenses/.
 * @author Stephen Callear
 */
public interface ParticleListener {
    /**
     * Invoked when a particle event occurs
     * @param p particle
     */
    public void particleEvent(DynamicParticle p);
}
